GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
gdcm::PixmapWriter Class Reference

PixmapWriter This class will takes two inputs: More...

`#include <gdcmPixmapWriter.h>`

Inheritance diagram for gdcm::PixmapWriter:
[legend]
Collaboration diagram for gdcm::PixmapWriter:
[legend]

## Public Member Functions

| PixmapWriter ()
| ~PixmapWriter ()
virtual const Pixmap & | GetImage () const
virtual Pixmap & | GetImage ()
const Pixmap & | GetPixmap () const
Pixmap & | GetPixmap ()
virtual void | SetImage (Pixmap const &img)
void | SetPixmap (Pixmap const &img)
bool | Write ()
| Write.
Public Member Functions inherited from gdcm::Writer
| Writer ()
virtual | ~Writer ()
void | CheckFileMetaInformationOff ()
void | CheckFileMetaInformationOn ()
File & | GetFile ()
void | SetCheckFileMetaInformation (bool b)
| Undocumented function, do not use (= leave default)
void | SetFile (const File &f)
| Set/Get the DICOM file (DataSet + Header)
void | SetFileName (const char *filename_native)
| Set the filename of DICOM file to write:
void | SetStream (std::ostream &output_stream)
| Set user ostream buffer.

## Protected Member Functions

void | DoIconImage (DataSet &ds, Pixmap const &image)
bool | PrepareWrite ()
Protected Member Functions inherited from gdcm::Writer
std::ostream * | GetStreamPtr () const
void | SetWriteDataSetOnly (bool b)

## Protected Attributes

SmartPointer< Pixmap > | PixelData
Protected Attributes inherited from gdcm::Writer
std::ofstream * | Ofstream
std::ostream * | Stream

## Detailed Description

PixmapWriter This class will takes two inputs:

1. The DICOM DataSet
2. The Image input It will override any info from the Image over the DataSet.

For instance when one read in a lossy compressed image and write out as unencapsulated (ie implicitely lossless) then some attribute are definitely needed to mark this dataset as Lossy (typically 0028,2114)

## Constructor & Destructor Documentation

gdcm::PixmapWriter::PixmapWriter | ( |  | ) |

gdcm::PixmapWriter::~PixmapWriter | ( |  | ) |

## Member Function Documentation

void gdcm::PixmapWriter::DoIconImage | ( | DataSet & | ds,
|  | Pixmap const & | image
| ) |  |

protected

virtual const Pixmap& gdcm::PixmapWriter::GetImage | ( |  | ) | const

inlinevirtual

Set/Get Pixmap to be written It will overwrite anything Pixmap infos found in DataSet (see parent class to see how to pass dataset)

Reimplemented in gdcm::ImageWriter.

virtual Pixmap& gdcm::PixmapWriter::GetImage | ( |  | ) |

inlinevirtual

Reimplemented in gdcm::ImageWriter.

const Pixmap& gdcm::PixmapWriter::GetPixmap | ( |  | ) | const

inline

Pixmap& gdcm::PixmapWriter::GetPixmap | ( |  | ) |

inline

bool gdcm::PixmapWriter::PrepareWrite | ( |  | ) |

protected

virtual void gdcm::PixmapWriter::SetImage | ( | Pixmap const & | img | ) |

virtual

Examples:
  CompressImage.cxx, GenFakeImage.cxx, GetSubSequenceData.cxx, HelloVizWorld.cxx, and MergeTwoFiles.cxx.

void gdcm::PixmapWriter::SetPixmap | ( | Pixmap const & | img | ) |

bool gdcm::PixmapWriter::Write | ( |  | ) |

virtual

Write.

Reimplemented from gdcm::Writer.

## Member Data Documentation

SmartPointer<Pixmap> gdcm::PixmapWriter::PixelData

protected

The documentation for this class was generated from the following file:

- gdcmPixmapWriter.h